<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchImplementation: Class Index</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchImplementation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Class Index</div>  </div>
</div><!--header-->
<div class="contents">
<div class="qindex"><a class="qindex" href="#letter_a">a</a>&#160;|&#160;<a class="qindex" href="#letter_d">d</a>&#160;|&#160;<a class="qindex" href="#letter_e">e</a>&#160;|&#160;<a class="qindex" href="#letter_i">i</a>&#160;|&#160;<a class="qindex" href="#letter_l">l</a>&#160;|&#160;<a class="qindex" href="#letter_n">n</a>&#160;|&#160;<a class="qindex" href="#letter_o">o</a>&#160;|&#160;<a class="qindex" href="#letter_r">r</a>&#160;|&#160;<a class="qindex" href="#letter_s">s</a>&#160;|&#160;<a class="qindex" href="#letter_u">u</a>&#160;|&#160;<a class="qindex" href="#letter_v">v</a></div>
<table class="classindex">
<tr><td rowspan="2" valign="bottom"><a name="letter_a"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;a&#160;&#160;</div></td></tr></table>
</td>
<td valign="top"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">ElasticsearchSearchClient</a> (<a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a>)&#160;&#160;&#160;</td>
<td rowspan="2" valign="bottom"><a name="letter_n"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;n&#160;&#160;</div></td></tr></table>
</td>
<td valign="top"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html">RdfSearchMapper</a> (<a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a>)&#160;&#160;&#160;</td>
<td rowspan="2" valign="bottom"><a name="letter_v"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;v&#160;&#160;</div></td></tr></table>
</td>
</tr>
<tr><td rowspan="2" valign="bottom"><a name="letter_i"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;i&#160;&#160;</div></td></tr></table>
</td>
<td rowspan="2" valign="bottom"><a name="letter_s"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;s&#160;&#160;</div></td></tr></table>
</td>
</tr>
<tr><td valign="top"><a class="el" href="class_semantic_search_implementation_1_1_additional_rule.html">AdditionalRule</a> (<a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="class_semantic_search_implementation_1_1_not_indexable_exception.html">NotIndexableException</a> (<a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html">VirtuosoRdfConnector</a> (<a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a>)&#160;&#160;&#160;</td>
</tr>
<tr><td valign="top"><a class="el" href="class_semantic_search_implementation_1_1_application_profile.html">ApplicationProfile</a> (<a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html">IRdfConnector</a> (<a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a>)&#160;&#160;&#160;</td>
<td rowspan="2" valign="bottom"><a name="letter_o"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;o&#160;&#160;</div></td></tr></table>
</td>
<td valign="top"><a class="el" href="class_semantic_search_implementation_1_1_semantic_search.html">SemanticSearch</a> (<a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a>)&#160;&#160;&#160;</td>
<td></td></tr>
<tr><td rowspan="2" valign="bottom"><a name="letter_d"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;d&#160;&#160;</div></td></tr></table>
</td>
<td valign="top"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html">ISearchClient</a> (<a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html">SpecificApplicationProfile</a> (<a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a>)&#160;&#160;&#160;</td>
<td></td></tr>
<tr><td rowspan="2" valign="bottom"><a name="letter_l"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;l&#160;&#160;</div></td></tr></table>
</td>
<td valign="top"><a class="el" href="class_semantic_search_implementation_1_1_semantic_search_1_1_options.html">SemanticSearch.Options</a> (<a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a>)&#160;&#160;&#160;</td>
<td rowspan="2" valign="bottom"><a name="letter_u"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;u&#160;&#160;</div></td></tr></table>
</td>
<td></td></tr>
<tr><td valign="top"><a class="el" href="class_semantic_search_implementation_1_1_data_type_parser.html">DataTypeParser</a> (<a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a>)&#160;&#160;&#160;</td>
<td rowspan="2" valign="bottom"><a name="letter_r"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;r&#160;&#160;</div></td></tr></table>
</td>
<td></td></tr>
<tr><td rowspan="2" valign="bottom"><a name="letter_e"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;e&#160;&#160;</div></td></tr></table>
</td>
<td valign="top"><a class="el" href="class_semantic_search_implementation_1_1_literal_rule.html">LiteralRule</a> (<a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="class_semantic_search_implementation_1_1_uris.html">Uris</a> (<a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a>)&#160;&#160;&#160;</td>
<td></td></tr>
<tr><td></td><td valign="top"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">RdfClient</a> (<a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a>)&#160;&#160;&#160;</td>
<td></td><td></td></tr>
<tr><td valign="top"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">ElasticsearchIndexMapper</a> (<a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a>)&#160;&#160;&#160;</td>
<td></td><td></td><td></td><td></td></tr>
<tr><td></td><td></td><td></td><td></td><td></td></tr>
</table>
<div class="qindex"><a class="qindex" href="#letter_a">a</a>&#160;|&#160;<a class="qindex" href="#letter_d">d</a>&#160;|&#160;<a class="qindex" href="#letter_e">e</a>&#160;|&#160;<a class="qindex" href="#letter_i">i</a>&#160;|&#160;<a class="qindex" href="#letter_l">l</a>&#160;|&#160;<a class="qindex" href="#letter_n">n</a>&#160;|&#160;<a class="qindex" href="#letter_o">o</a>&#160;|&#160;<a class="qindex" href="#letter_r">r</a>&#160;|&#160;<a class="qindex" href="#letter_s">s</a>&#160;|&#160;<a class="qindex" href="#letter_u">u</a>&#160;|&#160;<a class="qindex" href="#letter_v">v</a></div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
